@import "~assets/mixins";

// Global Classes

html {
  // Mixins
  // Box properties
  // Background & borders
  // Typography
  text-align: left;
  font-family: $font-sans;
  color: $color-text;
  -webkit-font-smoothing: antialiased;
  word-spacing: 1px;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -moz-osx-font-smoothing: grayscale;
  background-color: white;

  // -webkit-backface-visibility: hidden
  // backface-visibility: hidden
  // -webkit-overflow-scrolling: touch
  // Animation
  // Other
  @media screen and (min-width: 600px) {
    text-rendering: optimizeLegibility;
  }
}

body {
  font-size: $of-default-font-size;
  line-height: $line-height !important;
  margin: 0px;
}

// Global Typographic Classes

h1 {
  // Mixins
  @include box-sizing;

  // Box properties
  width: 100%;
  margin: 0 0 $grid 0;

  // Background & borders
  // Typography
  font-size: $font-size-h1;
  line-height: $grid * 2;
  font-family: $font-sans-bold;
  font-weight: 300;
  letter-spacing: -0.5px;
}

h2 {
  // Mixins
  @include box-sizing;

  // Box properties
  width: 100%;
  margin: $grid 0;

  // Background & borders
  // Typography
  font-size: $font-size-h2;
  line-height: $grid * 1.5;
  font-family: $font-sans-bold;
  font-weight: normal;
}

h2:first-child {
  // Mixins
  // Box properties
  margin-top: 0;

  // Background & borders
  // Typography
  // Animation
  // Other
}

h3 {
  // Mixins
  @include box-sizing;

  // Box properties
  width: 100%;
  margin: 0 0 $grid 0;

  // Background & borders
  // Typography
  font-size: $font-size-h3;
  line-height: $grid * 1.25;
  font-family: $font-sans-bold;
  font-weight: normal;
  letter-spacing: -0.5px;

}

h4 {
  // Mixins
  @include box-sizing;

  // Box properties
  width: 100%;
  margin: 0 0 $grid 0;

  // Background & borders
  // Typography
  font-size: $font-size-h4;
  line-height: $grid;
  font-family: $font-sans;
  font-weight: normal;

  // Animation
  // Other
}

h5 {
  // Mixins
  @include box-sizing;

  // Box properties
  width: 100%;
  margin: 0 0 ($grid / 2) 0;

  // Background & borders
  // Typography
  font-size: $font-size-h5;
  line-height: $grid;
  font-family: $font-sans-bold;
  font-weight: normal;

  // Animation
  // Other
}

h6 {
  // Mixins
  @include box-sizing;

  // Box properties
  width: 100%;
  margin: 0 0 ($grid / 2) 0;

  // Background & borders
  // Typography
  font-size: $font-size-h6;
  line-height: $grid;
  font-family: $font-sans;
  font-weight: normal;

  // Animation
  // Other
}

h1 > small {
  // Mixins
  // Box properties
  display: block;
  margin-top: $grid / 2;
  // Background & borders
  // Typography
  font-size: 0.65em;
  line-height: 1.2em;
  color: $color-quiet;
  font-family: $font-sans;

  // Animation
  // Other
}


h2 > small,
h3 > small,
h4 > small,
h5 > small,
h6 > small {
  // Mixins
  // Box properties
  display: block;

  // Background & borders
  // Typography
  font-size: 0.75em;
  line-height: 1.2em;
  color: $color-quiet;
  font-family: $font-sans;

  // Animation
  // Other
}

a {
  // Mixins
  // Box properties
  // Background & borders
  // Typography
  text-decoration: underline;
  color: $color-brand-pink;
  // Animation
  // Other
}

p {
  // Mixins
  // Box properties
  margin: 0;
  width: 100%;
  max-width: $grid * 25;
  clear: both;
  // Background & borders
  // Typography
  // Animation
  // Other
}

p + p {
  // Mixins
  // Box properties
  margin-top: $grid;

  // Background & borders
  // Typography
  // Animation
  // Other
}

p + * {
  // Mixins
  // Box properties
  margin-top: $grid;

  // Background & borders
  // Typography
  // Animation
  // Other
}

hr {
  // Mixins
  // Box properties
  display: block;
  margin: ($grid * 2) auto;
  width: 100%;

  // Background & borders
  border: none;
  border-bottom: $border-phone;

  // Typography
  // Animation
  // Other
}

ul {
  // Mixins
  // Box properties
  margin: 0 0 $grid;

  // Background & borders
  // Typography
  // Animation
  // Other
}

ul + hr {
  // Mixins
  // Box properties
  margin-top: 0;

  // Background & borders
  // Typography
  // Animation
  // Other
}

blockquote {
  // Mixins
  // Box properties
  margin: $grid 0;
  padding: $grid;

  // Background & borders
  border-top: $border-phone;
  border-bottom: $border-phone;
  background-color: $color-ghost;

  // Typography
  font-style: italic;

  // Animation
  // Other
}

strong {
  // Mixins
  // Box properties
  // Background & borders
  // Typography
  font-family: $font-sans-bold;
  font-weight: normal;

  // Animation
  // Other
}

.quiet {
  // Mixins
  // Box properties
  // Background & borders
  // Typography
  color: $color-quiet;

  // Animation
  // Other
}

.quieter {
  // Mixins
  // Box properties
  // Background & borders
  // Typography
  color: $color-quieter;

  // Animation
  // Other
}

.text-centered {
  // Mixins
  // Box properties
  // Background & borders
  // Typography
  text-align: center;

  // Animation
  // Other
}

.no-margin {
  // Mixins
  // Box properties
  margin: 0;

  // Background & borders
  // Typography
  // Animation
  // Other
}

.gradient-brand {
  // Mixins
  @include gradient-brand;

  // Box properties
  // Background & borders
  // Typography
  // Animation
  // Other
}

.gradient-text-brand {
  // Mixins
  @include gradient-text-brand;

  // Box properties
  // Background & borders
  // Typography
  // Animation
  // Other
}

.gradient-brand-secondary {
  // Mixins
  @include gradient-brand-secondary;

  // Box properties
  // Background & borders
  // Typography
  // Animation
  // Other
}

.gradient-text-brand-secondary {
  // Mixins
  @include gradient-text-brand-secondary;

  // Box properties
  // Background & borders
  // Typography
  // Animation
  // Other
}

.button {
  // Mixins
  @include button;

  // Box properties
  // Background & borders
  // Typography
  // Animation
  // Other
}

